View Issue Details

IDProjectCategoryView StatusLast Update
0000923PluginsFARCmdspublic2014-07-12 22:19
ReporterJohnDoeAssigned Tovskirdin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version3.0 
Summary0000923: Проблемы с модификаторами перехвата вывода
Description1) edit:<1 far.exe/?
Не находит far.exe

2) edit:<*<far.exe/?
Ничего не выводит в консоль

На этом эксперименты пока прекратил.
TagsNo tags attached.

Relationships

related to 0001143 closedvskirdin edit:<[.exe --help 

Activities

JohnDoe

2009-10-12 18:01

updater   bugnote:0004243

Поясню подробно пункт 1:
Сказано в хелпе:

> Плагин умеет перехватывать вывод заданной команды "<команда" или "<<команда".
>
> команда - [stream][mode][|путь|]command
> ...
>4. Если параметр stream равен 1 или 2 то начало имени команды должно быть обязательно отделено от него каким нибудь символом.
> Примеры: выполнить команду 1 с выводом результата в редакторе
> возможные случаи с параметром stream=1
> edit:<1 1
> edit:<1"1"
> edit:<1+1
> edit:<1|%TEMP%|1

На самом деле первый и второй примеры не работает, потому как в реальности при использовании stream нельзя опуститить mode
Либо исправить плагин, либо хелп [[stream]mode][|путь|]command

Третий пример не работает т.к. "+" не работает в качестве разделителя
Тут тоже что-то одно надо поправить - либо плагин либо хелп

JohnDoe

2009-12-06 19:24

updater   bugnote:0004684

Last edited: 2009-12-06 19:27

View 2 revisions

>в реальности при использовании stream нельзя опуститить mode

После 0001154 утверждение неверно.
Но приходится указывать лишнюю (непарную) кавычку:

edit:<2 "far.exe"/?"
либо
edit:<2 "far.exe/?

JohnDoe

2010-05-06 19:50

updater   bugnote:0005311

Есть старый тикет насчёт кавычек 0000034

JohnDoe

2014-06-08 22:38

updater   bugnote:0012477

Сходные проблемы: 0002272, 0002273

vskirdin

2014-07-08 17:12

administrator   bugnote:0012673

build 116

JohnDoe

2014-07-08 20:33

updater   bugnote:0012682

Last edited: 2014-07-08 20:46

View 3 revisions

edit:<far.exe/?
edit:<far/?
Не находит far.exe

edit:<far /?
Находит

edit:<2 far.exe /?
Опять не находит

JohnDoe

2014-07-08 20:43

updater   bugnote:0012683

Есть файл "1.exe"

edit:<1 1
edit:<1+1
выводит справку плагина

edit:<1"1"
работает нормально

vskirdin

2014-07-09 09:26

administrator   bugnote:0012701

<inside>
edit:<1 1 ==> второй вызов ParseCmdSyntax() к этому приводит...
</inside>

vskirdin

2014-07-09 14:33

administrator   bugnote:0012707

build 119

JohnDoe

2014-07-09 17:56

updater   bugnote:0012711

В текущей папке отсутствует файл 1.*
Запускаю edit:<1|%TEMP%|1
Получаю в редакторе две пары кавычек:
 "" ''

vskirdin

2014-07-10 09:32

administrator   bugnote:0012717

build 121

DrKnS

2014-07-10 10:41

administrator   bugnote:0012718

А зачем в 119 подстановка расширений опциональна?
Разве есть объективные причины её выключать?

vskirdin

2014-07-10 11:08

administrator   bugnote:0012719

Убирать опцию?

DrKnS

2014-07-10 15:26

administrator   bugnote:0012720

Как хочешь.
Я о том, что все шеллы и так всегда подставляют расширение, от опции тут только визуальный шум.

JohnDoe

2014-07-11 13:20

updater   bugnote:0012724

>build 121
Ничего не изменилось

vskirdin

2014-07-11 13:38

administrator   bugnote:0012727

>Ничего не изменилось
что именно?
Это:
> В текущей папке отсутствует файл 1.*, Запускаю edit:<1|%TEMP%|1, Получаю в редакторе две пары кавычек: "" ''
уточни

JohnDoe

2014-07-11 13:43

updater   bugnote:0012728

Именно.
В редакторе всё те же кавычки.

vskirdin

2014-07-11 13:58

administrator   bugnote:0012730

Такая бага была в последнем билде, который я для тебя выкладывал, в 121 (в ночной сборке) её уже нет.
Проверь.

JohnDoe

2014-07-11 13:59

updater   bugnote:0012732

Я сразу проверил. Зашёл в конфиг, и убедился что загружена версия 121

vskirdin

2014-07-11 14:23

administrator   bugnote:0012733

тогда жди 122 ("битая версия" тоже была 121)

JohnDoe

2014-07-11 14:29

updater   bugnote:0012735

Та версия, на которой я проверял ранее, была 120.
http://farmanager.com/farbugs/farcmds.120.1.zip

Ок, жду 122

JohnDoe

2014-07-12 17:43

updater   bugnote:0012737

С этим порядок.
В остальном надо бы решить вопрос с форума http://forum.farmanager.com/viewtopic.php?p=120557#p120557

Issue History

Date Modified Username Field Change
2009-06-09 14:45 JohnDoe New Issue
2009-10-12 18:01 JohnDoe Note Added: 0004243
2009-11-03 14:53 alexy Relationship added related to 0001143
2009-12-06 19:24 JohnDoe Note Added: 0004684
2009-12-06 19:27 JohnDoe Note Edited: 0004684 View Revisions
2010-05-06 19:50 JohnDoe Note Added: 0005311
2014-06-08 22:38 JohnDoe Note Added: 0012477
2014-07-08 17:12 vskirdin Note Added: 0012673
2014-07-08 17:12 vskirdin Assigned To => vskirdin
2014-07-08 17:12 vskirdin Status new => feedback
2014-07-08 20:33 JohnDoe Note Added: 0012682
2014-07-08 20:33 JohnDoe Status feedback => assigned
2014-07-08 20:40 JohnDoe Note Edited: 0012682 View Revisions
2014-07-08 20:43 JohnDoe Note Added: 0012683
2014-07-08 20:46 JohnDoe Note Edited: 0012682 View Revisions
2014-07-09 09:26 vskirdin Note Added: 0012701
2014-07-09 14:33 vskirdin Note Added: 0012707
2014-07-09 14:33 vskirdin Status assigned => feedback
2014-07-09 17:56 JohnDoe Note Added: 0012711
2014-07-09 17:56 JohnDoe Status feedback => assigned
2014-07-10 09:32 vskirdin Note Added: 0012717
2014-07-10 09:32 vskirdin Status assigned => feedback
2014-07-10 10:41 DrKnS Note Added: 0012718
2014-07-10 11:08 vskirdin Note Added: 0012719
2014-07-10 15:26 DrKnS Note Added: 0012720
2014-07-11 13:20 JohnDoe Note Added: 0012724
2014-07-11 13:20 JohnDoe Status feedback => assigned
2014-07-11 13:38 vskirdin Note Added: 0012727
2014-07-11 13:43 JohnDoe Note Added: 0012728
2014-07-11 13:58 vskirdin Note Added: 0012730
2014-07-11 13:59 JohnDoe Note Added: 0012732
2014-07-11 14:23 vskirdin Note Added: 0012733
2014-07-11 14:29 JohnDoe Note Added: 0012735
2014-07-12 17:43 JohnDoe Note Added: 0012737
2014-07-12 22:19 vskirdin Status assigned => closed
2014-07-12 22:19 vskirdin Resolution open => fixed
2014-07-12 22:19 vskirdin Fixed in Version => 3.0